Bug 497670 - Error inserting it87
Error inserting it87
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-25 19:51 EDT by Martin Ebourne
Modified: 2010-10-01 14:07 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-01 14:07:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 13967 None None None Never

  None (edit)
Description Martin Ebourne 2009-04-25 19:51:31 EDT
Description of problem:
it87 module loading fails, prevents sensors from being available on my machine.

Version-Release number of selected component (if applicable):
kernel-2.6.29.1-102.fc11.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. modprobe it87

Actual results:
FATAL: Error inserting it87 (/lib/modules/2.6.29.1-102.fc11.x86_64/kernel/drivers/hwmon/it87.ko): Device or resource busy
Sensors not available

Expected results:
Module to load and CPU/MB temp etc sensors available.

Additional info:
From dmesg:
it87: Found IT8712F chip at 0x290, revision 6
ACPI: I/O resource it87 [0x295-0x296] conflicts with ACPI region IP__ [0x295-0x296]
ACPI: Device needs an ACPI driver
Comment 1 Bug Zapper 2009-06-09 10:35:13 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Need Real Name 2009-06-14 11:54:42 EDT
Same issue here
dmesg 
.....
it87: Found IT8720F chip at 0x290, revision 2
it87: in3 is VCC (+5V)
it87: in7 is VCCH (+5V Stand-By)
ACPI: I/O resource it87 [0x295-0x296] conflicts with ACPI region ECRE [0x290-0x2af]
ACPI: Device needs an ACPI driver
.....
modprobe it87
WARNING: Deprecated config file /etc/modprobe.conf, all config files belong into /etc/modprobe.d/.
FATAL: Error inserting it87 (/lib/modules/2.6.29.4-167.fc11.x86_64/kernel/drivers/hwmon/it87.ko): Device or resource busy

uname -a
Linux mn4 2.6.29.4-167.fc11.x86_64 #1 SMP Wed May 27 17:27:08 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux
Comment 3 Martin Ebourne 2009-06-14 16:40:46 EDT
This is apparently an intentional error - it prevents it87 from using the same I2C bus as the acpi code. Two sets of code accessing the same bus is dangerous, I guess what is really needed is a common access point and a arbitrator.

Having said that both machines I use this on have been fine with the clash for 4-5 years and no obvious problems before this check was added, and now I've disabled it they've been fine again for the last 6 weeks or so.

You can disable this check by passing acpi_enforce_resources=lax on the kernel command line in grub, which solves the issue for me. (But be aware of potential undesired but unspecified consequences.)
Comment 4 Need Real Name 2009-06-14 17:28:12 EDT
I would much prefer kernel stability over some marginally useful functionality.
Comment 5 Lonni J Friedman 2009-11-29 11:46:20 EST
Another 'me too'.  I happened to notice this when 'fancontrol' stopped working after upgrading from F11 to F12 (i686).  

FWIW, I've got an ASUS M2N-SLI DELUXE mobo.
Comment 6 Martin Ebourne 2010-03-21 22:27:18 EDT
Still same problem in F13 alpha.
Comment 7 Marek Zdunek 2010-05-28 17:18:17 EDT
same problem here
my mobo is DFI nForce4 ultra-d, diagnostic chip it8712F

[root@amd64 ~]# modprobe -v it87
insmod /lib/modules/2.6.33.4-95.fc13.x86_64/kernel/drivers/hwmon/it87.ko 
FATAL: Error inserting it87 (/lib/modules/2.6.33.4-95.fc13.x86_64/kernel/drivers/hwmon/it87.ko): Device or resource busy


[root@amd64 ~]# lsmod | grep i2c
i2c_nforce2             6566  0 
i2c_algo_bit            4781  1 radeon
i2c_core               24507  5 i2c_nforce2,radeon,drm_kms_helper,drm,i2c_algo_bit

---

from boot.log
Starting lm_sensors: loading module it87 [60G[[0;32m  OK  [0;39m]

...

[root@amd64 ~]# uname -a
Linux amd64 2.6.33.4-95.fc13.x86_64 #1 SMP Thu May 13 05:16:23 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux
Comment 8 Stanislaw Gruszka 2010-10-01 14:07:00 EDT
We can do much with that problem (however there is "dangerous" option to allow use sensors on your boards, see http://hansdegoede.livejournal.com/7932.html)
Comment 9 Stanislaw Gruszka 2010-10-01 14:07:55 EDT
(In reply to comment #8)
> We can 
We can not ... of course.

Note You need to log in before you can comment on or make changes to this bug.